Zum Hauptinhalt springen
GET
/
crm
/
v3
/
property-validations
/
{objectTypeId}
Read all property validation rules for an object
curl --request GET \
  --url https://api.hubapi.com/crm/v3/property-validations/{objectTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "propertyName": "<string>",
      "propertyValidationRules": [
        {
          "ruleArguments": [
            "<string>"
          ],
          "ruleType": "AFTER_DATETIME_DURATION",
          "shouldApplyNormalization": true
        }
      ]
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectTypeId
string
erforderlich

Antwort

successful operation

results
object[]
erforderlich

Collection of properties with their validation rules. Each item maps a property name to its configured validation rules for the specified object type.

Last modified on April 9, 2026